=== debian/changelog ===
glshim (0.0.20140825-0~rzr20140830) unstable; urgency=medium

  * wip: http://rzr.online.fr/q/snapshot#glshim

 -- Philippe Coval <rzr@gna.org>  Sat, 30 Aug 2014 22:03:36 +0200

glshim (0.0.20140830-0~rzr) unstable; urgency=medium

  * WIP: http://rzr.online.fr/q/snapshot#glshim

 -- Philippe Coval <rzr@gna.org>  Sat, 30 Aug 2014 22:03:36 +0200

glshim (0.0.0-0~rzr1) harmattan; urgency=low

  * Non-maintainer upload.
  * http://rzr.online.fr/q/opengles

 -- Philippe Coval <rzr@gna.org>  Thu, 05 Sep 2013 07:16:27 +0200

libglshim (0.1-maemo3) unstable; urgency=low

  * Can be used with freeglut3 / freeglut3-dev
   -libglshim provides libgl1
   -libglsim-dev provies libgl-dev

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 06 Aug 2013 13:23:31 +0200

libglshim (0.1-maemo2) unstable; urgency=low
	
  *Add: dh_makeshlibs

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 05 Aug 2013 21:34:31 +0200

libglshim (0.1-maemo1) unstable; urgency=low
	
  * Initial version

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 04 Aug 2013 15:47:31 +0200
