=== debian/control ===
Source: glshim
Section: libs
Priority: optional
Maintainer: Philippe Coval <rzr@gna.rg>
XSBC-Original-Maintainer-Fremantle: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), cmake,
  libx11-dev,
  libgles1-sgx-img-dev [armel arm], libgles2-sgx-img-dev [armel arm],
  libsdl1.2-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: libglshim0
Architecture: any
Replaces: libgl1
Provides: libgl1
Conflicts: libgl1
Depends: ${shlibs:Depends}
Description: GL to GLES

Package: libglshim-dev
Architecture: any
Depends: ${shlibs:Depends}, libglshim0
Replaces: libgl-dev
Provides: libgl-dev
Conflicts: libgl-dev
Description: GL to GLES


Package: glshim-snapshot
Architecture: all
Section: utils
Depends: glshim (= ${source:Version}), ${misc:Depends}
Suggests: rzr
Priority: extra
Description: unreleased snapshot version
 TODO: Remove on issue and upgrade glshim
 http://rzr.online.fr/q/snapshot#glshim Feedback welcome
